subroutine laborsupply0(X)
use defineparameters
use glob0
implicit none
real(8), INTENT(OUT) :: X(1)
integer :: it6,it8,it9,temp,count,count2,count3,count4,exper
integer :: d,d3,d4,d5,d6,d1
real(8) :: hours,dum2,dum3,L1,L2,L3,dum4,dum5,diff,ip,dum6, dum7, dum8, labor1,labor2,dum1

!This subroutine solves for optimal labor choice

if((i<3).OR.(i==8).OR.((i==9).AND.(ind==1))) then
L1=max(0.03*(AE/wage),(dum+0.05-(1.0+r)*K(it))/wage)
L1=min(L1,0.99)
L3=0.999
L3=min(L3,30.0*AE/wage)
!L3=min(L3,25.0*AE/wage)
L2=(L1+L3)/2.0
do while(L3-L1>0.001)
    L2=(L1+L3)/2.0
    netinc=lumpsum+L2*wage-L2*wage*(t1*(((L2*wage)/AE)**0.2)+t2*(((L2*wage)/AE)**0.4)+t3*(((L2*wage)/AE)**0.6)+t4*(((L2*wage)/AE)**0.8))
    dum6=(((1.0+r)*K(it)+netinc-dum)/(1.0+tc))*((1.0/(1.0+tc))**(-1.0/sigma))
    dum3=wage*(1.0-(t1*(((L2*wage)/AE)**0.2)+t2*(((L2*wage)/AE)**0.4)+t3*(((L2*wage)/AE)**0.6)+t4*(((L2*wage)/AE)**0.8)))
    dum3=dum3-L2*wage*(wage/AE)*(0.2*t1*(((L2*wage)/AE)**(-0.8))+0.4*t2*(((L2*wage)/AE)**(-0.6))+0.6*t3*(((L2*wage)/AE)**(-0.4))+0.8*t4*(((L2*wage)/AE)**(-0.2)))
    dum3=dum3**(-1.0/sigma)
    dum4=dum6*dum3
    dum5=(chi*(L2**eta))**(-1.0/sigma)
    diff=dum4-dum5
    If(diff>0.0) then
        L3=L2
    else
        L1=L2
    end if
end do

elseif(i==7) then
L1=max(0.03*(AE/wage),(dum+0.05-(1.0+r)*K(it))/wage)
L1=min(L1,0.99)
L3=0.999
L3=min(L3,30.0*AE/wage)
!L3=min(L3,25.0*AE/wage)
L2=(L1+L3)/2.0
do while(L3-L1>0.001)
    L2=(L1+L3)/2.0
    netinc=lumpsum+L2*wage-L2*wage*(t1*(((L2*wage)/AE)**0.2)+t2*(((L2*wage)/AE)**0.4)+t3*(((L2*wage)/AE)**0.6)+t4*(((L2*wage)/AE)**0.8))
    dum6=(((1.0+r)*K(it)+netinc-dum)/(1.3*(1.0+tc)))*((1.0/(1.3*(1.0+tc)))**(-1.0/sigma))
    dum3=wage*(1.0-(t1*(((L2*wage)/AE)**0.2)+t2*(((L2*wage)/AE)**0.4)+t3*(((L2*wage)/AE)**0.6)+t4*(((L2*wage)/AE)**0.8)))
    dum3=dum3-L2*wage*(wage/AE)*(0.2*t1*(((L2*wage)/AE)**(-0.8))+0.4*t2*(((L2*wage)/AE)**(-0.6))+0.6*t3*(((L2*wage)/AE)**(-0.4))+0.8*t4*(((L2*wage)/AE)**(-0.2)))
    dum3=dum3**(-1.0/sigma)
    dum4=dum6*dum3
    dum5=(chi*(L2**eta))**(-1.0/sigma)
    diff=dum4-dum5
    If(diff>0.0) then
        L3=L2
    else
        L1=L2
    end if
end do


elseif(i==3) then

L1=max(0.03*(AE/wage),(dum+dum9+0.05-(1.0+r)*K(it))/wage)
L1=min(L1,0.99)
L3=0.999
L3=min(L3,30.0*AE/wage)
!L3=min(L3,25.0*AE/wage)
L2=(L1+L3)/2.0
do while(L3-L1>0.001)
    L2=(L1+L3)/2.0
    netinc=lumpsum+L2*wage-L2*wage*(t1*(((L2*wage)/AE)**0.2)+t2*(((L2*wage)/AE)**0.4)+t3*(((L2*wage)/AE)**0.6)+t4*(((L2*wage)/AE)**0.8))
    dum6=(((1.0+r)*K(it)+netinc-(dum+dum9))/(1.0+tc))*((1.0/(1.0+tc))**(-1.0/sigma))
    dum3=wage*(1.0-(t1*(((L2*wage)/AE)**0.2)+t2*(((L2*wage)/AE)**0.4)+t3*(((L2*wage)/AE)**0.6)+t4*(((L2*wage)/AE)**0.8)))
    dum3=dum3-L2*wage*(wage/AE)*(0.2*t1*(((L2*wage)/AE)**(-0.8))+0.4*t2*(((L2*wage)/AE)**(-0.6))+0.6*t3*(((L2*wage)/AE)**(-0.4))+0.8*t4*(((L2*wage)/AE)**(-0.2)))
    dum3=dum3**(-1.0/sigma)
    dum4=dum6*dum3
    dum5=(chi*(L2**eta))**(-1.0/sigma)
    diff=dum4-dum5
    If(diff>0.0) then
        L3=L2
    else
        L1=L2
    end if
end do

else if((i==9).AND.(ind==2)) then

L1=max(0.03*(AE/wage),(dum+dum9+0.05-(1.0+r)*K(it))/wage)
L1=min(L1,0.88)
L3=0.8899
L3=min(L3,30.0*AE/wage)
!L3=min(L3,25.0*AE/wage)
L2=(L1+L3)/2.0
do while(L3-L1>0.001)
    L2=(L1+L3)/2.0
    netinc=lumpsum+L2*wage-L2*wage*(t1*(((L2*wage)/AE)**0.2)+t2*(((L2*wage)/AE)**0.4)+t3*(((L2*wage)/AE)**0.6)+t4*(((L2*wage)/AE)**0.8))
    dum6=(((1.0+r)*K(it)+netinc-(dum+dum9))/(1.0+tc))*((1.0/(1.0+tc))**(-1.0/sigma))
    dum3=wage*(1.0-(t1*(((L2*wage)/AE)**0.2)+t2*(((L2*wage)/AE)**0.4)+t3*(((L2*wage)/AE)**0.6)+t4*(((L2*wage)/AE)**0.8)))
    dum3=dum3-L2*wage*(wage/AE)*(0.2*t1*(((L2*wage)/AE)**(-0.8))+0.4*t2*(((L2*wage)/AE)**(-0.6))+0.6*t3*(((L2*wage)/AE)**(-0.4))+0.8*t4*(((L2*wage)/AE)**(-0.2)))
    dum3=dum3**(-1.0/sigma)
    dum4=dum6*dum3
    dum5=(chi*((L2+0.1099)**eta))**(-1.0/sigma)
    diff=dum4-dum5
    If(diff>0.0) then
        L3=L2
    else
        L1=L2
    end if
end do

else

L1=max(0.03*(AE/wage),(dum+dum9+0.05-(1.0+r)*K(it))/wage)
L1=min(L1,0.99)
L3=0.999
L3=min(L3,30.0*AE/wage)
!L3=min(L3,25.0*AE/wage)
L2=(L1+L3)/2.0
do while(L3-L1>0.001)
    L2=(L1+L3)/2.0
    netinc=lumpsum+L2*wage-L2*wage*(t1*(((L2*wage)/AE)**0.2)+t2*(((L2*wage)/AE)**0.4)+t3*(((L2*wage)/AE)**0.6)+t4*(((L2*wage)/AE)**0.8))
    dum6=(((1.0+r)*K(it)+netinc-(dum+dum9))/(1.3*(1.0+tc)))*((1.0/(1.3*(1.0+tc)))**(-1.0/sigma))
    dum3=wage*(1.0-(t1*(((L2*wage)/AE)**0.2)+t2*(((L2*wage)/AE)**0.4)+t3*(((L2*wage)/AE)**0.6)+t4*(((L2*wage)/AE)**0.8)))
    dum3=dum3-L2*wage*(wage/AE)*(0.2*t1*(((L2*wage)/AE)**(-0.8))+0.4*t2*(((L2*wage)/AE)**(-0.6))+0.6*t3*(((L2*wage)/AE)**(-0.4))+0.8*t4*(((L2*wage)/AE)**(-0.2)))
    dum3=dum3**(-1.0/sigma)
    dum4=dum6*dum3
    dum5=(chi*(L2**eta))**(-1.0/sigma)
    diff=dum4-dum5
    If(diff>0.0) then
        L3=L2
    else
        L1=L2
    end if
end do

end if

X(1)=L2

end subroutine laborsupply0