subroutine max6
use defineparameters
implicit none
integer :: j,it,it2,it3,it4,it5,it6,it7,it8,it9,temp,count,count2,count3,count4,exper

!This subroutine solves the problem of agents aged 50

i=3
!Print *,'t is',i

t1=t1m
t2=t2m
t3=t3m
t4=t4m


!$OMP PARALLEL PRIVATE(it2)
!$OMP DO SCHEDULE(DYNAMIC)

do it2=1,p
    call max60(it2)
end do

!$OMP END DO    
!$OMP END PARALLEL

Vthree(:,:,:,:,:,:)=temp3(:,:,:,:,:,:)

d2=3

!Print *,'reg'

!$OMP PARALLEL PRIVATE(it2,j,it4,it5)
!$OMP DO SCHEDULE(DYNAMIC)

do it2=1,p
    do it4=1,q
        do j=1,2
            do it5=1,l
                call regression2(it2,j,it4,it5)
            end do
        end do
    end do
end do

!$OMP END DO    
!$OMP END PARALLEL

temp3=-9999999.0

end subroutine max6

subroutine max60(it2)
USE LCONF_INT
use defineparameters
use glob0
implicit none
integer, INTENT(IN) :: it2
integer :: it6,it8,it9,temp,count,count2,count3,count4,exper
integer :: d,d3,d4,d5,d6,d1,MAXFCN,NEQ=0
real(8) :: wage2,hours,dum2,dum3,L1,L2,L3,dum4,dum5,diff,ip,dum6, dum7, dum8,labor1,labor2,dum1,ACC=0.00000001, OBJ
real(8) :: X1,X2,X3,X4,V1,V2,V3,V4,Y1,Y2,Y3,Y4,p1,p2,p3,p4,B0,B1,labor(1)
real(8), dimension (1:40) :: KNOT1, KNOT2
real(8), dimension (1:640) :: KNOT3
real(8) :: SOl4(2), XGUESS4(2), XLB2(2), XUB2(2), GRAD2(1,2), RHS2(2)
EXTERNAL FCN60
    
    
    do it=1,n
        do it3=1,p
            do it4=1,q
                do it5=1,l
                    do j=1,2
                        it2g=it2
                        exper=10-i-j
                        if(j==1) then
                            wage=max(wmin,gam0*H(it2)*exp(gam1*exper+gam2*(exper**2)+gam3*(exper**3)+U(j,it5)))
                        else
                            wage=max(wmin,gamc0*H(it2)*exp(gamc1*exper+gamc2*(exper**2)+gamc3*(exper**3)+U(j,it5)))
                        end if
                        !XLB2(1)=(zet/8.0)*(i-1)
                        !XLB2(1)=zet
                        if((j==1).AND.(K(it)>-0.0001)) then
                            XLB2(1)=0.0
                        else
                            XLB2(1)=(zet/8.0)*(i-1)
                        end if
                        XUB2(1)=K(n)
                        XLB2(2)=0.0
                        XUB2(2)=K(n)
                        RHS2(1)=K(it)*(1.0+r)+wage-wage*(t1*((wage/AE)**0.2)+t2*((wage/AE)**0.4)+t3*((wage/AE)**0.6)+t4*((wage/AE)**0.8))-0.05

                        if(wage>30.0*AE) then
                            RHS2(1)=16.7*AE+K(it)*(1.0+r)
                            !RHS2(1)=10.0*AE+K(it)*(1.0+r)
                        end if
                        
                        !if(wage>25.0*AE) then
                        !    RHS2(1)=8.0*AE+K(it)*(1.0+r)
                        !end if
                        
                        XGUESS4(1)=gk3(j,it,it2,it3,it4,it5)
                        XGUESS4(2)=gb(j,it,it2,it3,it4,it5)
                        GRAD2=1.0
		                MAXFCN=1000000000
		                acc = 1d-12
		                CALL D_LCONF(FCN60, NEQ, GRAD2, RHS2, XLB2, XUB2, SOL4, XGUESS=XGUESS4,MAXFCN=MAXFCN, ACC=ACC, OBJ=OBJ)
		                if(K(it)*(1.0+r)+netinc-(SOL4(1)+SOL4(2))<0.01) then
                                obj=9999999.0
                        end if
		                if(-obj>temp3(j,it,it2,it3,it4,it5)) then
                                temp3(j,it,it2,it3,it4,it5)=-obj
                                gk3(j,it,it2,it3,it4,it5)=SOL4(1)
                                gb(j,it,it2,it3,it4,it5)=SOL4(2)
                                c3(j,it,it2,it3,it4,it5)=(K(it)*(1.0+r)+netinc-SOL4(1)-SOL4(2))/(1.0+tc)
                                gn3(j,it,it2,it3,it4,it5)=dum
                        end if
                        XGUESS4(1)=0.0
                        XGUESS4(2)=0.0
                        GRAD2=1.0
                        if(it>1) then
		                    if(c3(j,it-1,it2,it3,it4,it5)>0.01) then
		                        XGUESS4(1)=gk3(j,it-1,it2,it3,it4,it5)+0.1
		                        XGUESS4(2)=gb(j,it-1,it2,it3,it4,it5)+0.1
		                    end if
		                end if
		                MAXFCN=1000000000
		                acc = 1d-12
		                CALL D_LCONF(FCN60, NEQ, GRAD2, RHS2, XLB2, XUB2, SOL4, XGUESS=XGUESS4,MAXFCN=MAXFCN, ACC=ACC, OBJ=OBJ)
		                if(K(it)*(1.0+r)+netinc-(SOL4(1)+SOL4(2))<0.01) then
                                obj=9999999.0
                        end if
		                if(-obj>temp3(j,it,it2,it3,it4,it5)) then
                                temp3(j,it,it2,it3,it4,it5)=-obj
                                gk3(j,it,it2,it3,it4,it5)=SOL4(1)
                                gb(j,it,it2,it3,it4,it5)=SOL4(2)
                                c3(j,it,it2,it3,it4,it5)=(K(it)*(1.0+r)+netinc-SOL4(1)-SOL4(2))/(1.0+tc)
                                gn3(j,it,it2,it3,it4,it5)=dum
                        end if
                        XGUESS4(1)=0.0
                        XGUESS4(2)=4.0
                        GRAD2=1.0
                        if(it>1) then
		                    if(c3(j,it-1,it2,it3,it4,it5)>0.01) then
		                        XGUESS4(1)=gk3(j,it-1,it2,it3,it4,it5)-0.1
		                        XGUESS4(2)=gb(j,it-1,it2,it3,it4,it5)+2.0
		                    end if
		                end if
		                MAXFCN=1000000000
		                acc = 1d-12
		                CALL D_LCONF(FCN60, NEQ, GRAD2, RHS2, XLB2, XUB2, SOL4, XGUESS=XGUESS4,MAXFCN=MAXFCN, ACC=ACC, OBJ=OBJ)
		                if(K(it)*(1.0+r)+netinc-(SOL4(1)+SOL4(2))<0.01) then
                                obj=9999999.0
                        end if
		                if(-obj>temp3(j,it,it2,it3,it4,it5)) then
                                temp3(j,it,it2,it3,it4,it5)=-obj
                                gk3(j,it,it2,it3,it4,it5)=SOL4(1)
                                gb(j,it,it2,it3,it4,it5)=SOL4(2)
                                c3(j,it,it2,it3,it4,it5)=(K(it)*(1.0+r)+netinc-SOL4(1)-SOL4(2))/(1.0+tc)
                                gn3(j,it,it2,it3,it4,it5)=dum
                        end if
                        XGUESS4(1)=0.0
                        XGUESS4(2)=0.2
                        if(it3>1) then
		                    if(c3(j,it,it2,it3-1,it4,it5)>0.01) then
		                        XGUESS4(1)=gk3(j,it,it2,it3-1,it4,it5)-0.05
		                        XGUESS4(2)=gb(j,it,it2,it3-1,it4,it5)+0.05
		                    end if
		                end if
		                MAXFCN=1000000000
		                CALL D_LCONF(FCN60, NEQ, GRAD2, RHS2, XLB2, XUB2, SOL4, XGUESS=XGUESS4,MAXFCN=MAXFCN, ACC=ACC, OBJ=OBJ)
		                if(K(it)*(1.0+r)+netinc-(SOL4(1)+SOL4(2))<0.01) then
                                obj=9999999.0
                        end if
		                if(-obj>temp3(j,it,it2,it3,it4,it5)) then
                                temp3(j,it,it2,it3,it4,it5)=-obj
                                gk3(j,it,it2,it3,it4,it5)=SOL4(1)
                                gb(j,it,it2,it3,it4,it5)=SOL4(2)
                                c3(j,it,it2,it3,it4,it5)=(K(it)*(1.0+r)+netinc-SOL4(1)-SOL4(2))/(1.0+tc)
                                gn3(j,it,it2,it3,it4,it5)=dum
                        end if
                        XGUESS4(1)=0.2
                        XGUESS4(2)=0.0
                        if(it3>1) then
		                    if(c3(j,it,it2,it3-1,it4,it5)>0.01) then
		                        XGUESS4(1)=gk3(j,it,it2,it3-1,it4,it5)+0.2
		                        XGUESS4(2)=max(0.0,gb(j,it,it2,it3-1,it4,it5)-0.2)
		                    end if
		                end if
		                MAXFCN=1000000000
		                CALL D_LCONF(FCN60, NEQ, GRAD2, RHS2, XLB2, XUB2, SOL4, XGUESS=XGUESS4,MAXFCN=MAXFCN, ACC=ACC, OBJ=OBJ)
		                if(K(it)*(1.0+r)+netinc-(SOL4(1)+SOL4(2))<0.01) then
                                obj=9999999.0
                        end if
		                if(-obj>temp3(j,it,it2,it3,it4,it5)) then
                                temp3(j,it,it2,it3,it4,it5)=-obj
                                gk3(j,it,it2,it3,it4,it5)=SOL4(1)
                                gb(j,it,it2,it3,it4,it5)=SOL4(2)
                                c3(j,it,it2,it3,it4,it5)=(K(it)*(1.0+r)+netinc-SOL4(1)-SOL4(2))/(1.0+tc)
                                gn3(j,it,it2,it3,it4,it5)=dum
                        end if
                    end do
                end do
            end do
        end do
    end do  

end subroutine max60
