SUBROUTINE regression3(j,it4,it5)
USE LSBRR_INT
USE defineparameters
implicit none
integer, INTENT(IN) :: j,it4,it5
real(8), dimension(:), allocatable :: YDATA,XKNOT
real(8), dimension(:,:), allocatable ::  XDATA
integer :: it,it3,it6,it7,it8,it9,temp,count,count2,count3,count4,exper
integer :: d,d3,d4,ind,d5,d6,d1
real(8) :: wage,wage2,netinc,hours,dum,dum2,dum3,L1,L2,L3,dum4,dum5,diff,ip,dum6, dum7, dum8, dum9,labor1,labor2,dum1

ind=0
            
do it=3,n
    if(co(j,d2,it,1,1,it4,it5)>0.01) then
        ind=ind+1
    end if
end do
            
allocate(XDATA(1:ind,38))
allocate(YDATA(1:ind))

ind=0
            
do it=3,n
    if(co(j,d2,it,1,1,it4,it5)>0.01) then
        ind=ind+1
        YDATA(ind)=Vo(j,d2,it,1,1,it4,it5)
        dum=2.0*((K(it)-kmin)/(kmax-kmin))-1.0
        XDATA(ind,1)=1.0
        XDATA(ind,2)=dum
        do d5=3,38
            XDATA(ind,d5)=2*dum*XDATA(ind,d5-1)-XDATA(ind,d5-2)
        end do
    end if
end do

CALL D_LSBRR(XDATA,YDATA,COEFS3(:,d2,j,it4,it5))

do it=3,n
    dum=2.0*((K(it)-kmin)/(kmax-kmin))-1.0
    XDATA(1,1)=1.0
    XDATA(1,2)=dum
    do d5=3,38
        XDATA(1,d5)=2*dum*XDATA(1,d5-1)-XDATA(1,d5-2)
    end do
    Vo(j,d2,it,:,:,it4,it5)=0.0    
    do d5=1,38
        Vo(j,d2,it,:,:,it4,it5)=Vo(j,d2,it,:,:,it4,it5)+COEFS3(d5,d2,j,it4,it5)*XDATA(1,d5)
    end do
end do

dum=0.0

do d=1,ind
    dum=dum+YDATA(d)
end do

dum=dum/(ind*1.0)

dum2=0.0
do d=1,ind
    dum2=dum2+(YDATA(d)-dum)**2
end do

dum3=0.0
do it=3,n
    if(co(j,d2,it,1,1,it4,it5)>0.01) then
        dum3=dum3+Vo(j,d2,it,1,1,it4,it5)
    end if
end do

dum3=dum3/(1.0*ind)

dum4=0.0
do it=3,n
    if(co(j,d2,it,1,1,it4,it5)>0.01) then
        dum4=dum4+(Vo(j,d2,it,1,1,it4,it5)-dum3)**2
    end if
end do

dum=dum4/dum2

end subroutine regression3