subroutine transmatrix
USE ANORDF_INT
use defineparameters
implicit none
integer :: j,it,it3,it4,it5,it6,it7,it8,it9,temp,count,count2,count3,count4,exper
integer :: d,d3,d4,ind,d5,d6,d1
real(8) :: wage,wage2,netinc,hours,dum,dum2,dum3,L1,L2,L3,dum4,dum5,diff,ip,dum6, dum7, dum8, dum9,labor1,labor2,dum1,xvec(1)
    
    !Filling the earnings shock and ability vectors
    
    A(1)=-(6.0/2.0)*SQRT((siga**2)/(1.0-(rhoa**2)))
    A(2)=-(5.0/2.0)*SQRT((siga**2)/(1.0-(rhoa**2)))
    A(3)=-(4.0/2.0)*SQRT((siga**2)/(1.0-(rhoa**2)))
    A(4)=-(3.0/2.0)*SQRT((siga**2)/(1.0-(rhoa**2)))
    A(5)=-(2.0/2.0)*SQRT((siga**2)/(1.0-(rhoa**2)))
    A(6)=-(1.0/2.0)*SQRT((siga**2)/(1.0-(rhoa**2)))
    A(7)=0.0
    A(8)=(1.0/2.0)*SQRT((siga**2)/(1.0-(rhoa**2)))
    A(9)=(2.0/2.0)*SQRT((siga**2)/(1.0-(rhoa**2)))
    A(10)=(3.0/2.0)*SQRT((siga**2)/(1.0-(rhoa**2)))
    A(11)=(4.0/2.0)*SQRT((siga**2)/(1.0-(rhoa**2)))
    A(12)=(5.0/2.0)*SQRT((siga**2)/(1.0-(rhoa**2)))
    A(13)=(6.0/2.0)*SQRT((siga**2)/(1.0-(rhoa**2)))
    dum=0.5*(1.0/2.0)*SQRT((siga**2)/(1.0-(rhoa**2)))
    
    transa(1,1)=D_ANORDF((A(1)-rhoa*A(1)+dum)/siga)
    transa(2,1)=D_ANORDF((A(1)-rhoa*A(2)+dum)/siga)
    transa(3,1)=D_ANORDF((A(1)-rhoa*A(3)+dum)/siga)
    transa(4,1)=D_ANORDF((A(1)-rhoa*A(4)+dum)/siga)
    transa(5,1)=D_ANORDF((A(1)-rhoa*A(5)+dum)/siga)
    transa(6,1)=D_ANORDF((A(1)-rhoa*A(6)+dum)/siga)
    transa(7,1)=D_ANORDF((A(1)-rhoa*A(7)+dum)/siga)
    transa(8,1)=D_ANORDF((A(1)-rhoa*A(8)+dum)/siga)
    transa(9,1)=D_ANORDF((A(1)-rhoa*A(9)+dum)/siga)
    transa(10,1)=D_ANORDF((A(1)-rhoa*A(10)+dum)/siga)
    transa(11,1)=D_ANORDF((A(1)-rhoa*A(11)+dum)/siga)
    transa(12,1)=D_ANORDF((A(1)-rhoa*A(12)+dum)/siga)
    transa(13,1)=D_ANORDF((A(1)-rhoa*A(13)+dum)/siga)
    transa(1,2)=D_ANORDF((A(2)-rhoa*A(1)+dum)/siga)-D_ANORDF((A(2)-rhoa*A(1)-dum)/siga)
    transa(2,2)=D_ANORDF((A(2)-rhoa*A(2)+dum)/siga)-D_ANORDF((A(2)-rhoa*A(2)-dum)/siga)
    transa(3,2)=D_ANORDF((A(2)-rhoa*A(3)+dum)/siga)-D_ANORDF((A(2)-rhoa*A(3)-dum)/siga)
    transa(4,2)=D_ANORDF((A(2)-rhoa*A(4)+dum)/siga)-D_ANORDF((A(2)-rhoa*A(4)-dum)/siga)
    transa(5,2)=D_ANORDF((A(2)-rhoa*A(5)+dum)/siga)-D_ANORDF((A(2)-rhoa*A(5)-dum)/siga)
    transa(6,2)=D_ANORDF((A(2)-rhoa*A(6)+dum)/siga)-D_ANORDF((A(2)-rhoa*A(6)-dum)/siga)
    transa(7,2)=D_ANORDF((A(2)-rhoa*A(7)+dum)/siga)-D_ANORDF((A(2)-rhoa*A(7)-dum)/siga)
    transa(8,2)=D_ANORDF((A(2)-rhoa*A(8)+dum)/siga)-D_ANORDF((A(2)-rhoa*A(8)-dum)/siga)
    transa(9,2)=D_ANORDF((A(2)-rhoa*A(9)+dum)/siga)-D_ANORDF((A(2)-rhoa*A(9)-dum)/siga)
    transa(10,2)=D_ANORDF((A(2)-rhoa*A(10)+dum)/siga)-D_ANORDF((A(2)-rhoa*A(10)-dum)/siga)
    transa(11,2)=D_ANORDF((A(2)-rhoa*A(11)+dum)/siga)-D_ANORDF((A(2)-rhoa*A(11)-dum)/siga)
    transa(12,2)=D_ANORDF((A(2)-rhoa*A(12)+dum)/siga)-D_ANORDF((A(2)-rhoa*A(12)-dum)/siga)
    transa(13,2)=D_ANORDF((A(2)-rhoa*A(13)+dum)/siga)-D_ANORDF((A(2)-rhoa*A(13)-dum)/siga)
    transa(1,3)=D_ANORDF((A(3)-rhoa*A(1)+dum)/siga)-D_ANORDF((A(3)-rhoa*A(1)-dum)/siga)
    transa(2,3)=D_ANORDF((A(3)-rhoa*A(2)+dum)/siga)-D_ANORDF((A(3)-rhoa*A(2)-dum)/siga)
    transa(3,3)=D_ANORDF((A(3)-rhoa*A(3)+dum)/siga)-D_ANORDF((A(3)-rhoa*A(3)-dum)/siga)
    transa(4,3)=D_ANORDF((A(3)-rhoa*A(4)+dum)/siga)-D_ANORDF((A(3)-rhoa*A(4)-dum)/siga)
    transa(5,3)=D_ANORDF((A(3)-rhoa*A(5)+dum)/siga)-D_ANORDF((A(3)-rhoa*A(5)-dum)/siga)
    transa(6,3)=D_ANORDF((A(3)-rhoa*A(6)+dum)/siga)-D_ANORDF((A(3)-rhoa*A(6)-dum)/siga)
    transa(7,3)=D_ANORDF((A(3)-rhoa*A(7)+dum)/siga)-D_ANORDF((A(3)-rhoa*A(7)-dum)/siga)
    transa(8,3)=D_ANORDF((A(3)-rhoa*A(8)+dum)/siga)-D_ANORDF((A(3)-rhoa*A(8)-dum)/siga)
    transa(9,3)=D_ANORDF((A(3)-rhoa*A(9)+dum)/siga)-D_ANORDF((A(3)-rhoa*A(9)-dum)/siga)
    transa(10,3)=D_ANORDF((A(3)-rhoa*A(10)+dum)/siga)-D_ANORDF((A(3)-rhoa*A(10)-dum)/siga)
    transa(11,3)=D_ANORDF((A(3)-rhoa*A(11)+dum)/siga)-D_ANORDF((A(3)-rhoa*A(11)-dum)/siga)
    transa(12,3)=D_ANORDF((A(3)-rhoa*A(12)+dum)/siga)-D_ANORDF((A(3)-rhoa*A(12)-dum)/siga)
    transa(13,3)=D_ANORDF((A(3)-rhoa*A(13)+dum)/siga)-D_ANORDF((A(3)-rhoa*A(13)-dum)/siga)
    transa(1,4)=D_ANORDF((A(4)-rhoa*A(1)+dum)/siga)-D_ANORDF((A(4)-rhoa*A(1)-dum)/siga)
    transa(2,4)=D_ANORDF((A(4)-rhoa*A(2)+dum)/siga)-D_ANORDF((A(4)-rhoa*A(2)-dum)/siga)
    transa(3,4)=D_ANORDF((A(4)-rhoa*A(3)+dum)/siga)-D_ANORDF((A(4)-rhoa*A(3)-dum)/siga)
    transa(4,4)=D_ANORDF((A(4)-rhoa*A(4)+dum)/siga)-D_ANORDF((A(4)-rhoa*A(4)-dum)/siga)
    transa(5,4)=D_ANORDF((A(4)-rhoa*A(5)+dum)/siga)-D_ANORDF((A(4)-rhoa*A(5)-dum)/siga)
    transa(6,4)=D_ANORDF((A(4)-rhoa*A(6)+dum)/siga)-D_ANORDF((A(4)-rhoa*A(6)-dum)/siga)
    transa(7,4)=D_ANORDF((A(4)-rhoa*A(7)+dum)/siga)-D_ANORDF((A(4)-rhoa*A(7)-dum)/siga)
    transa(8,4)=D_ANORDF((A(4)-rhoa*A(8)+dum)/siga)-D_ANORDF((A(4)-rhoa*A(8)-dum)/siga)
    transa(9,4)=D_ANORDF((A(4)-rhoa*A(9)+dum)/siga)-D_ANORDF((A(4)-rhoa*A(9)-dum)/siga)
    transa(10,4)=D_ANORDF((A(4)-rhoa*A(10)+dum)/siga)-D_ANORDF((A(4)-rhoa*A(10)-dum)/siga)
    transa(11,4)=D_ANORDF((A(4)-rhoa*A(11)+dum)/siga)-D_ANORDF((A(4)-rhoa*A(11)-dum)/siga)
    transa(12,4)=D_ANORDF((A(4)-rhoa*A(12)+dum)/siga)-D_ANORDF((A(4)-rhoa*A(12)-dum)/siga)
    transa(13,4)=D_ANORDF((A(4)-rhoa*A(13)+dum)/siga)-D_ANORDF((A(4)-rhoa*A(13)-dum)/siga)
    transa(1,5)=D_ANORDF((A(5)-rhoa*A(1)+dum)/siga)-D_ANORDF((A(5)-rhoa*A(1)-dum)/siga)
    transa(2,5)=D_ANORDF((A(5)-rhoa*A(2)+dum)/siga)-D_ANORDF((A(5)-rhoa*A(2)-dum)/siga)
    transa(3,5)=D_ANORDF((A(5)-rhoa*A(3)+dum)/siga)-D_ANORDF((A(5)-rhoa*A(3)-dum)/siga)
    transa(4,5)=D_ANORDF((A(5)-rhoa*A(4)+dum)/siga)-D_ANORDF((A(5)-rhoa*A(4)-dum)/siga)
    transa(5,5)=D_ANORDF((A(5)-rhoa*A(5)+dum)/siga)-D_ANORDF((A(5)-rhoa*A(5)-dum)/siga)
    transa(6,5)=D_ANORDF((A(5)-rhoa*A(6)+dum)/siga)-D_ANORDF((A(5)-rhoa*A(6)-dum)/siga)
    transa(7,5)=D_ANORDF((A(5)-rhoa*A(7)+dum)/siga)-D_ANORDF((A(5)-rhoa*A(7)-dum)/siga)
    transa(8,5)=D_ANORDF((A(5)-rhoa*A(8)+dum)/siga)-D_ANORDF((A(5)-rhoa*A(8)-dum)/siga)
    transa(9,5)=D_ANORDF((A(5)-rhoa*A(9)+dum)/siga)-D_ANORDF((A(5)-rhoa*A(9)-dum)/siga)
    transa(10,5)=D_ANORDF((A(5)-rhoa*A(10)+dum)/siga)-D_ANORDF((A(5)-rhoa*A(10)-dum)/siga)
    transa(11,5)=D_ANORDF((A(5)-rhoa*A(11)+dum)/siga)-D_ANORDF((A(5)-rhoa*A(11)-dum)/siga)
    transa(12,5)=D_ANORDF((A(5)-rhoa*A(12)+dum)/siga)-D_ANORDF((A(5)-rhoa*A(12)-dum)/siga)
    transa(13,5)=D_ANORDF((A(5)-rhoa*A(13)+dum)/siga)-D_ANORDF((A(5)-rhoa*A(13)-dum)/siga)
    transa(1,6)=D_ANORDF((A(6)-rhoa*A(1)+dum)/siga)-D_ANORDF((A(6)-rhoa*A(1)-dum)/siga)
    transa(2,6)=D_ANORDF((A(6)-rhoa*A(2)+dum)/siga)-D_ANORDF((A(6)-rhoa*A(2)-dum)/siga)
    transa(3,6)=D_ANORDF((A(6)-rhoa*A(3)+dum)/siga)-D_ANORDF((A(6)-rhoa*A(3)-dum)/siga)
    transa(4,6)=D_ANORDF((A(6)-rhoa*A(4)+dum)/siga)-D_ANORDF((A(6)-rhoa*A(4)-dum)/siga)
    transa(5,6)=D_ANORDF((A(6)-rhoa*A(5)+dum)/siga)-D_ANORDF((A(6)-rhoa*A(5)-dum)/siga)
    transa(6,6)=D_ANORDF((A(6)-rhoa*A(6)+dum)/siga)-D_ANORDF((A(6)-rhoa*A(6)-dum)/siga)
    transa(7,6)=D_ANORDF((A(6)-rhoa*A(7)+dum)/siga)-D_ANORDF((A(6)-rhoa*A(7)-dum)/siga)
    transa(8,6)=D_ANORDF((A(6)-rhoa*A(8)+dum)/siga)-D_ANORDF((A(6)-rhoa*A(8)-dum)/siga)
    transa(9,6)=D_ANORDF((A(6)-rhoa*A(9)+dum)/siga)-D_ANORDF((A(6)-rhoa*A(9)-dum)/siga)
    transa(10,6)=D_ANORDF((A(6)-rhoa*A(10)+dum)/siga)-D_ANORDF((A(6)-rhoa*A(10)-dum)/siga)
    transa(11,6)=D_ANORDF((A(6)-rhoa*A(11)+dum)/siga)-D_ANORDF((A(6)-rhoa*A(11)-dum)/siga)
    transa(12,6)=D_ANORDF((A(6)-rhoa*A(12)+dum)/siga)-D_ANORDF((A(6)-rhoa*A(12)-dum)/siga)
    transa(13,6)=D_ANORDF((A(6)-rhoa*A(13)+dum)/siga)-D_ANORDF((A(6)-rhoa*A(13)-dum)/siga)
    transa(1,7)=D_ANORDF((A(7)-rhoa*A(1)+dum)/siga)-D_ANORDF((A(7)-rhoa*A(1)-dum)/siga)
    transa(2,7)=D_ANORDF((A(7)-rhoa*A(2)+dum)/siga)-D_ANORDF((A(7)-rhoa*A(2)-dum)/siga)
    transa(3,7)=D_ANORDF((A(7)-rhoa*A(3)+dum)/siga)-D_ANORDF((A(7)-rhoa*A(3)-dum)/siga)
    transa(4,7)=D_ANORDF((A(7)-rhoa*A(4)+dum)/siga)-D_ANORDF((A(7)-rhoa*A(4)-dum)/siga)
    transa(5,7)=D_ANORDF((A(7)-rhoa*A(5)+dum)/siga)-D_ANORDF((A(7)-rhoa*A(5)-dum)/siga)
    transa(6,7)=D_ANORDF((A(7)-rhoa*A(6)+dum)/siga)-D_ANORDF((A(7)-rhoa*A(6)-dum)/siga)
    transa(7,7)=D_ANORDF((A(7)-rhoa*A(7)+dum)/siga)-D_ANORDF((A(7)-rhoa*A(7)-dum)/siga)
    transa(8,7)=D_ANORDF((A(7)-rhoa*A(8)+dum)/siga)-D_ANORDF((A(7)-rhoa*A(8)-dum)/siga)
    transa(9,7)=D_ANORDF((A(7)-rhoa*A(9)+dum)/siga)-D_ANORDF((A(7)-rhoa*A(9)-dum)/siga)
    transa(10,7)=D_ANORDF((A(7)-rhoa*A(10)+dum)/siga)-D_ANORDF((A(7)-rhoa*A(10)-dum)/siga)
    transa(11,7)=D_ANORDF((A(7)-rhoa*A(11)+dum)/siga)-D_ANORDF((A(7)-rhoa*A(11)-dum)/siga)
    transa(12,7)=D_ANORDF((A(7)-rhoa*A(12)+dum)/siga)-D_ANORDF((A(7)-rhoa*A(12)-dum)/siga)
    transa(13,7)=D_ANORDF((A(7)-rhoa*A(13)+dum)/siga)-D_ANORDF((A(7)-rhoa*A(13)-dum)/siga)
    transa(1,8)=D_ANORDF((A(8)-rhoa*A(1)+dum)/siga)-D_ANORDF((A(8)-rhoa*A(1)-dum)/siga)
    transa(2,8)=D_ANORDF((A(8)-rhoa*A(2)+dum)/siga)-D_ANORDF((A(8)-rhoa*A(2)-dum)/siga)
    transa(3,8)=D_ANORDF((A(8)-rhoa*A(3)+dum)/siga)-D_ANORDF((A(8)-rhoa*A(3)-dum)/siga)
    transa(4,8)=D_ANORDF((A(8)-rhoa*A(4)+dum)/siga)-D_ANORDF((A(8)-rhoa*A(4)-dum)/siga)
    transa(5,8)=D_ANORDF((A(8)-rhoa*A(5)+dum)/siga)-D_ANORDF((A(8)-rhoa*A(5)-dum)/siga)
    transa(6,8)=D_ANORDF((A(8)-rhoa*A(6)+dum)/siga)-D_ANORDF((A(8)-rhoa*A(6)-dum)/siga)
    transa(7,8)=D_ANORDF((A(8)-rhoa*A(7)+dum)/siga)-D_ANORDF((A(8)-rhoa*A(7)-dum)/siga)
    transa(8,8)=D_ANORDF((A(8)-rhoa*A(8)+dum)/siga)-D_ANORDF((A(8)-rhoa*A(8)-dum)/siga)
    transa(9,8)=D_ANORDF((A(8)-rhoa*A(9)+dum)/siga)-D_ANORDF((A(8)-rhoa*A(9)-dum)/siga)
    transa(10,8)=D_ANORDF((A(8)-rhoa*A(10)+dum)/siga)-D_ANORDF((A(8)-rhoa*A(10)-dum)/siga)
    transa(11,8)=D_ANORDF((A(8)-rhoa*A(11)+dum)/siga)-D_ANORDF((A(8)-rhoa*A(11)-dum)/siga)
    transa(12,8)=D_ANORDF((A(8)-rhoa*A(12)+dum)/siga)-D_ANORDF((A(8)-rhoa*A(12)-dum)/siga)
    transa(13,8)=D_ANORDF((A(8)-rhoa*A(13)+dum)/siga)-D_ANORDF((A(8)-rhoa*A(13)-dum)/siga)
    transa(1,9)=D_ANORDF((A(9)-rhoa*A(1)+dum)/siga)-D_ANORDF((A(9)-rhoa*A(1)-dum)/siga)
    transa(2,9)=D_ANORDF((A(9)-rhoa*A(2)+dum)/siga)-D_ANORDF((A(9)-rhoa*A(2)-dum)/siga)
    transa(3,9)=D_ANORDF((A(9)-rhoa*A(3)+dum)/siga)-D_ANORDF((A(9)-rhoa*A(3)-dum)/siga)
    transa(4,9)=D_ANORDF((A(9)-rhoa*A(4)+dum)/siga)-D_ANORDF((A(9)-rhoa*A(4)-dum)/siga)
    transa(5,9)=D_ANORDF((A(9)-rhoa*A(5)+dum)/siga)-D_ANORDF((A(9)-rhoa*A(5)-dum)/siga)
    transa(6,9)=D_ANORDF((A(9)-rhoa*A(6)+dum)/siga)-D_ANORDF((A(9)-rhoa*A(6)-dum)/siga)
    transa(7,9)=D_ANORDF((A(9)-rhoa*A(7)+dum)/siga)-D_ANORDF((A(9)-rhoa*A(7)-dum)/siga)
    transa(8,9)=D_ANORDF((A(9)-rhoa*A(8)+dum)/siga)-D_ANORDF((A(9)-rhoa*A(8)-dum)/siga)
    transa(9,9)=D_ANORDF((A(9)-rhoa*A(9)+dum)/siga)-D_ANORDF((A(9)-rhoa*A(9)-dum)/siga)
    transa(10,9)=D_ANORDF((A(9)-rhoa*A(10)+dum)/siga)-D_ANORDF((A(9)-rhoa*A(10)-dum)/siga)
    transa(11,9)=D_ANORDF((A(9)-rhoa*A(11)+dum)/siga)-D_ANORDF((A(9)-rhoa*A(11)-dum)/siga)
    transa(12,9)=D_ANORDF((A(9)-rhoa*A(12)+dum)/siga)-D_ANORDF((A(9)-rhoa*A(12)-dum)/siga)
    transa(13,9)=D_ANORDF((A(9)-rhoa*A(13)+dum)/siga)-D_ANORDF((A(9)-rhoa*A(13)-dum)/siga)
    transa(1,10)=D_ANORDF((A(10)-rhoa*A(1)+dum)/siga)-D_ANORDF((A(10)-rhoa*A(1)-dum)/siga)
    transa(2,10)=D_ANORDF((A(10)-rhoa*A(2)+dum)/siga)-D_ANORDF((A(10)-rhoa*A(2)-dum)/siga)
    transa(3,10)=D_ANORDF((A(10)-rhoa*A(3)+dum)/siga)-D_ANORDF((A(10)-rhoa*A(3)-dum)/siga)
    transa(4,10)=D_ANORDF((A(10)-rhoa*A(4)+dum)/siga)-D_ANORDF((A(10)-rhoa*A(4)-dum)/siga)
    transa(5,10)=D_ANORDF((A(10)-rhoa*A(5)+dum)/siga)-D_ANORDF((A(10)-rhoa*A(5)-dum)/siga)
    transa(6,10)=D_ANORDF((A(10)-rhoa*A(6)+dum)/siga)-D_ANORDF((A(10)-rhoa*A(6)-dum)/siga)
    transa(7,10)=D_ANORDF((A(10)-rhoa*A(7)+dum)/siga)-D_ANORDF((A(10)-rhoa*A(7)-dum)/siga)
    transa(8,10)=D_ANORDF((A(10)-rhoa*A(8)+dum)/siga)-D_ANORDF((A(10)-rhoa*A(8)-dum)/siga)
    transa(9,10)=D_ANORDF((A(10)-rhoa*A(9)+dum)/siga)-D_ANORDF((A(10)-rhoa*A(9)-dum)/siga)
    transa(10,10)=D_ANORDF((A(10)-rhoa*A(10)+dum)/siga)-D_ANORDF((A(10)-rhoa*A(10)-dum)/siga)
    transa(11,10)=D_ANORDF((A(10)-rhoa*A(11)+dum)/siga)-D_ANORDF((A(10)-rhoa*A(11)-dum)/siga)
    transa(12,10)=D_ANORDF((A(10)-rhoa*A(12)+dum)/siga)-D_ANORDF((A(10)-rhoa*A(12)-dum)/siga)
    transa(13,10)=D_ANORDF((A(10)-rhoa*A(13)+dum)/siga)-D_ANORDF((A(10)-rhoa*A(13)-dum)/siga)
    transa(1,11)=D_ANORDF((A(11)-rhoa*A(1)+dum)/siga)-D_ANORDF((A(11)-rhoa*A(1)-dum)/siga)
    transa(2,11)=D_ANORDF((A(11)-rhoa*A(2)+dum)/siga)-D_ANORDF((A(11)-rhoa*A(2)-dum)/siga)
    transa(3,11)=D_ANORDF((A(11)-rhoa*A(3)+dum)/siga)-D_ANORDF((A(11)-rhoa*A(3)-dum)/siga)
    transa(4,11)=D_ANORDF((A(11)-rhoa*A(4)+dum)/siga)-D_ANORDF((A(11)-rhoa*A(4)-dum)/siga)
    transa(5,11)=D_ANORDF((A(11)-rhoa*A(5)+dum)/siga)-D_ANORDF((A(11)-rhoa*A(5)-dum)/siga)
    transa(6,11)=D_ANORDF((A(11)-rhoa*A(6)+dum)/siga)-D_ANORDF((A(11)-rhoa*A(6)-dum)/siga)
    transa(7,11)=D_ANORDF((A(11)-rhoa*A(7)+dum)/siga)-D_ANORDF((A(11)-rhoa*A(7)-dum)/siga)
    transa(8,11)=D_ANORDF((A(11)-rhoa*A(8)+dum)/siga)-D_ANORDF((A(11)-rhoa*A(8)-dum)/siga)
    transa(9,11)=D_ANORDF((A(11)-rhoa*A(9)+dum)/siga)-D_ANORDF((A(11)-rhoa*A(9)-dum)/siga)
    transa(10,11)=D_ANORDF((A(11)-rhoa*A(10)+dum)/siga)-D_ANORDF((A(11)-rhoa*A(10)-dum)/siga)
    transa(11,11)=D_ANORDF((A(11)-rhoa*A(11)+dum)/siga)-D_ANORDF((A(11)-rhoa*A(11)-dum)/siga)
    transa(12,11)=D_ANORDF((A(11)-rhoa*A(12)+dum)/siga)-D_ANORDF((A(11)-rhoa*A(12)-dum)/siga)
    transa(13,11)=D_ANORDF((A(11)-rhoa*A(13)+dum)/siga)-D_ANORDF((A(11)-rhoa*A(13)-dum)/siga)
    transa(1,12)=D_ANORDF((A(12)-rhoa*A(1)+dum)/siga)-D_ANORDF((A(12)-rhoa*A(1)-dum)/siga)
    transa(2,12)=D_ANORDF((A(12)-rhoa*A(2)+dum)/siga)-D_ANORDF((A(12)-rhoa*A(2)-dum)/siga)
    transa(3,12)=D_ANORDF((A(12)-rhoa*A(3)+dum)/siga)-D_ANORDF((A(12)-rhoa*A(3)-dum)/siga)
    transa(4,12)=D_ANORDF((A(12)-rhoa*A(4)+dum)/siga)-D_ANORDF((A(12)-rhoa*A(4)-dum)/siga)
    transa(5,12)=D_ANORDF((A(12)-rhoa*A(5)+dum)/siga)-D_ANORDF((A(12)-rhoa*A(5)-dum)/siga)
    transa(6,12)=D_ANORDF((A(12)-rhoa*A(6)+dum)/siga)-D_ANORDF((A(12)-rhoa*A(6)-dum)/siga)
    transa(7,12)=D_ANORDF((A(12)-rhoa*A(7)+dum)/siga)-D_ANORDF((A(12)-rhoa*A(7)-dum)/siga)
    transa(8,12)=D_ANORDF((A(12)-rhoa*A(8)+dum)/siga)-D_ANORDF((A(12)-rhoa*A(8)-dum)/siga)
    transa(9,12)=D_ANORDF((A(12)-rhoa*A(9)+dum)/siga)-D_ANORDF((A(12)-rhoa*A(9)-dum)/siga)
    transa(10,12)=D_ANORDF((A(12)-rhoa*A(10)+dum)/siga)-D_ANORDF((A(12)-rhoa*A(10)-dum)/siga)
    transa(11,12)=D_ANORDF((A(12)-rhoa*A(11)+dum)/siga)-D_ANORDF((A(12)-rhoa*A(11)-dum)/siga)
    transa(12,12)=D_ANORDF((A(12)-rhoa*A(12)+dum)/siga)-D_ANORDF((A(12)-rhoa*A(12)-dum)/siga)
    transa(13,12)=D_ANORDF((A(12)-rhoa*A(13)+dum)/siga)-D_ANORDF((A(12)-rhoa*A(13)-dum)/siga)
    transa(1,13)=1.0-D_ANORDF((A(13)-rhoa*A(1)-dum)/siga)
    transa(2,13)=1.0-D_ANORDF((A(13)-rhoa*A(2)-dum)/siga)
    transa(3,13)=1.0-D_ANORDF((A(13)-rhoa*A(3)-dum)/siga)
    transa(4,13)=1.0-D_ANORDF((A(13)-rhoa*A(4)-dum)/siga)
    transa(5,13)=1.0-D_ANORDF((A(13)-rhoa*A(5)-dum)/siga)
    transa(6,13)=1.0-D_ANORDF((A(13)-rhoa*A(6)-dum)/siga)
    transa(7,13)=1.0-D_ANORDF((A(13)-rhoa*A(7)-dum)/siga)
    transa(8,13)=1.0-D_ANORDF((A(13)-rhoa*A(8)-dum)/siga)
    transa(9,13)=1.0-D_ANORDF((A(13)-rhoa*A(9)-dum)/siga)
    transa(10,13)=1.0-D_ANORDF((A(13)-rhoa*A(10)-dum)/siga)
    transa(11,13)=1.0-D_ANORDF((A(13)-rhoa*A(11)-dum)/siga)
    transa(12,13)=1.0-D_ANORDF((A(13)-rhoa*A(12)-dum)/siga)
    transa(13,13)=1.0-D_ANORDF((A(13)-rhoa*A(13)-dum)/siga)
    
    A(1)=ma*exp(A(1))
    A(2)=ma*exp(A(2))
    A(3)=ma*exp(A(3))
    A(4)=ma*exp(A(4))
    A(5)=ma*exp(A(5))
    A(6)=ma*exp(A(6))
    A(7)=ma*exp(A(7))
    A(8)=ma*exp(A(8))
    A(9)=ma*exp(A(9))
    A(10)=ma*exp(A(10))
    A(11)=ma*exp(A(11))
    A(12)=ma*exp(A(12))
    A(13)=ma*exp(A(13))
    
    proba=1.0/13.0
    
    do it=1,100
        proba=MATMUL(proba,transa)
    end do
    

    U(1,1)=-2.0*SQRT((sigu**2)/(1.0-(rhou**2)))
    U(1,2)=-(4.0/3.0)*SQRT((sigu**2)/(1.0-(rhou**2)))
    U(1,3)=-(2.0/3.0)*SQRT((sigu**2)/(1.0-(rhou**2)))
    U(1,4)=0.0
    U(1,5)=(2.0/3.0)*SQRT((sigu**2)/(1.0-(rhou**2)))
    U(1,6)=(4.0/3.0)*SQRT((sigu**2)/(1.0-(rhou**2)))
    U(1,7)=2.0*SQRT((sigu**2)/(1.0-(rhou**2)))
    U(2,1)=-2.0*SQRT((sigu**2)/(1.0-(rhou**2)))
    U(2,2)=-(4.0/3.0)*SQRT((sigu**2)/(1.0-(rhou**2)))
    U(2,3)=-(2.0/3.0)*SQRT((sigu**2)/(1.0-(rhou**2)))
    U(2,4)=0.0
    U(2,5)=(2.0/3.0)*SQRT((sigu**2)/(1.0-(rhou**2)))
    U(2,6)=(4.0/3.0)*SQRT((sigu**2)/(1.0-(rhou**2)))
    U(2,7)=2.0*SQRT((sigu**2)/(1.0-(rhou**2)))
    dum=0.5*(2.0/3.0)*SQRT((sigu**2)/(1.0-(rhou**2)))
    dum2=0.5*(2.0/3.0)*SQRT((sigu**2)/(1.0-(rhou**2)))
    
    
    
    !Filling the transition matrixes for the earnings shock and ability vectors
    

    transu(:,1,1)=D_ANORDF((U(1,1)-rhou*U(1,1)+dum)/sigu)
    transu(:,2,1)=D_ANORDF((U(1,1)-rhou*U(1,2)+dum)/sigu)
    transu(:,3,1)=D_ANORDF((U(1,1)-rhou*U(1,3)+dum)/sigu)
    transu(:,4,1)=D_ANORDF((U(1,1)-rhou*U(1,4)+dum)/sigu)
    transu(:,5,1)=D_ANORDF((U(1,1)-rhou*U(1,5)+dum)/sigu)
    transu(:,6,1)=D_ANORDF((U(1,1)-rhou*U(1,6)+dum)/sigu)
    transu(:,7,1)=D_ANORDF((U(1,1)-rhou*U(1,7)+dum)/sigu)
    transu(:,1,2)=D_ANORDF((U(1,2)-rhou*U(1,1)+dum)/sigu)-D_ANORDF((U(1,2)-rhou*U(1,1)-dum)/sigu)
    transu(:,2,2)=D_ANORDF((U(1,2)-rhou*U(1,2)+dum)/sigu)-D_ANORDF((U(1,2)-rhou*U(1,2)-dum)/sigu)
    transu(:,3,2)=D_ANORDF((U(1,2)-rhou*U(1,3)+dum)/sigu)-D_ANORDF((U(1,2)-rhou*U(1,3)-dum)/sigu)
    transu(:,4,2)=D_ANORDF((U(1,2)-rhou*U(1,4)+dum)/sigu)-D_ANORDF((U(1,2)-rhou*U(1,4)-dum)/sigu)
    transu(:,5,2)=D_ANORDF((U(1,2)-rhou*U(1,5)+dum)/sigu)-D_ANORDF((U(1,2)-rhou*U(1,5)-dum)/sigu)
    transu(:,6,2)=D_ANORDF((U(1,2)-rhou*U(1,6)+dum)/sigu)-D_ANORDF((U(1,2)-rhou*U(1,6)-dum)/sigu)
    transu(:,7,2)=D_ANORDF((U(1,2)-rhou*U(1,7)+dum)/sigu)-D_ANORDF((U(1,2)-rhou*U(1,7)-dum)/sigu)
    transu(:,1,3)=D_ANORDF((U(1,3)-rhou*U(1,1)+dum)/sigu)-D_ANORDF((U(1,3)-rhou*U(1,1)-dum)/sigu)
    transu(:,2,3)=D_ANORDF((U(1,3)-rhou*U(1,2)+dum)/sigu)-D_ANORDF((U(1,3)-rhou*U(1,2)-dum)/sigu)
    transu(:,3,3)=D_ANORDF((U(1,3)-rhou*U(1,3)+dum)/sigu)-D_ANORDF((U(1,3)-rhou*U(1,3)-dum)/sigu)
    transu(:,4,3)=D_ANORDF((U(1,3)-rhou*U(1,4)+dum)/sigu)-D_ANORDF((U(1,3)-rhou*U(1,4)-dum)/sigu)
    transu(:,5,3)=D_ANORDF((U(1,3)-rhou*U(1,5)+dum)/sigu)-D_ANORDF((U(1,3)-rhou*U(1,5)-dum)/sigu)
    transu(:,6,3)=D_ANORDF((U(1,3)-rhou*U(1,6)+dum)/sigu)-D_ANORDF((U(1,3)-rhou*U(1,6)-dum)/sigu)
    transu(:,7,3)=D_ANORDF((U(1,3)-rhou*U(1,7)+dum)/sigu)-D_ANORDF((U(1,3)-rhou*U(1,7)-dum)/sigu)
    transu(:,1,4)=D_ANORDF((U(1,4)-rhou*U(1,1)+dum)/sigu)-D_ANORDF((U(1,4)-rhou*U(1,1)-dum)/sigu)
    transu(:,2,4)=D_ANORDF((U(1,4)-rhou*U(1,2)+dum)/sigu)-D_ANORDF((U(1,4)-rhou*U(1,2)-dum)/sigu)
    transu(:,3,4)=D_ANORDF((U(1,4)-rhou*U(1,3)+dum)/sigu)-D_ANORDF((U(1,4)-rhou*U(1,3)-dum)/sigu)
    transu(:,4,4)=D_ANORDF((U(1,4)-rhou*U(1,4)+dum)/sigu)-D_ANORDF((U(1,4)-rhou*U(1,4)-dum)/sigu)
    transu(:,5,4)=D_ANORDF((U(1,4)-rhou*U(1,5)+dum)/sigu)-D_ANORDF((U(1,4)-rhou*U(1,5)-dum)/sigu)
    transu(:,6,4)=D_ANORDF((U(1,4)-rhou*U(1,6)+dum)/sigu)-D_ANORDF((U(1,4)-rhou*U(1,6)-dum)/sigu)
    transu(:,7,4)=D_ANORDF((U(1,4)-rhou*U(1,7)+dum)/sigu)-D_ANORDF((U(1,4)-rhou*U(1,7)-dum)/sigu)
    transu(:,1,5)=D_ANORDF((U(1,5)-rhou*U(1,1)+dum)/sigu)-D_ANORDF((U(1,5)-rhou*U(1,1)-dum)/sigu)
    transu(:,2,5)=D_ANORDF((U(1,5)-rhou*U(1,2)+dum)/sigu)-D_ANORDF((U(1,5)-rhou*U(1,2)-dum)/sigu)
    transu(:,3,5)=D_ANORDF((U(1,5)-rhou*U(1,3)+dum)/sigu)-D_ANORDF((U(1,5)-rhou*U(1,3)-dum)/sigu)
    transu(:,4,5)=D_ANORDF((U(1,5)-rhou*U(1,4)+dum)/sigu)-D_ANORDF((U(1,5)-rhou*U(1,4)-dum)/sigu)
    transu(:,5,5)=D_ANORDF((U(1,5)-rhou*U(1,5)+dum)/sigu)-D_ANORDF((U(1,5)-rhou*U(1,5)-dum)/sigu)
    transu(:,6,5)=D_ANORDF((U(1,5)-rhou*U(1,6)+dum)/sigu)-D_ANORDF((U(1,5)-rhou*U(1,6)-dum)/sigu)
    transu(:,7,5)=D_ANORDF((U(1,5)-rhou*U(1,7)+dum)/sigu)-D_ANORDF((U(1,5)-rhou*U(1,7)-dum)/sigu)
    transu(:,1,6)=D_ANORDF((U(1,6)-rhou*U(1,1)+dum)/sigu)-D_ANORDF((U(1,6)-rhou*U(1,1)-dum)/sigu)
    transu(:,2,6)=D_ANORDF((U(1,6)-rhou*U(1,2)+dum)/sigu)-D_ANORDF((U(1,6)-rhou*U(1,2)-dum)/sigu)
    transu(:,3,6)=D_ANORDF((U(1,6)-rhou*U(1,3)+dum)/sigu)-D_ANORDF((U(1,6)-rhou*U(1,3)-dum)/sigu)
    transu(:,4,6)=D_ANORDF((U(1,6)-rhou*U(1,4)+dum)/sigu)-D_ANORDF((U(1,6)-rhou*U(1,4)-dum)/sigu)
    transu(:,5,6)=D_ANORDF((U(1,6)-rhou*U(1,5)+dum)/sigu)-D_ANORDF((U(1,6)-rhou*U(1,5)-dum)/sigu)
    transu(:,6,6)=D_ANORDF((U(1,6)-rhou*U(1,6)+dum)/sigu)-D_ANORDF((U(1,6)-rhou*U(1,6)-dum)/sigu)
    transu(:,7,6)=D_ANORDF((U(1,6)-rhou*U(1,7)+dum)/sigu)-D_ANORDF((U(1,6)-rhou*U(1,7)-dum)/sigu)
    transu(:,1,7)=1.0-D_ANORDF((U(1,7)-rhou*U(1,1)-dum)/sigu)
    transu(:,2,7)=1.0-D_ANORDF((U(1,7)-rhou*U(1,2)-dum)/sigu)
    transu(:,3,7)=1.0-D_ANORDF((U(1,7)-rhou*U(1,3)-dum)/sigu)
    transu(:,4,7)=1.0-D_ANORDF((U(1,7)-rhou*U(1,4)-dum)/sigu)
    transu(:,5,7)=1.0-D_ANORDF((U(1,7)-rhou*U(1,5)-dum)/sigu)
    transu(:,6,7)=1.0-D_ANORDF((U(1,7)-rhou*U(1,6)-dum)/sigu)
    transu(:,7,7)=1.0-D_ANORDF((U(1,7)-rhou*U(1,7)-dum)/sigu)
    

    Probu=(1.0/7.0)
    
    do it=1,100
        probu(1,:)=MATMUL(probu(1,:),transu(1,:,:))
        probu(2,:)=MATMUL(probu(2,:),transu(2,:,:))
    end do


    !Filling the state space for capital
    
    kmin=-0.1
    kmax=15.0
    
    do d5=1,n
        dum=-1.0*cos(((2.0*d5-1.0)/(2.0*n))*pi)
        K(d5)=(dum+1.0)*((kmax-kmin)/2.0)+kmin
    end do
    
    
    !Filling the state space for human capital
    
    hmin=1.6
    hmax=25.0
    
    do d5=1,p
        dum=-1.0*cos(((2.0*d5-1.0)/(2.0*p))*pi)
        H(d5)=(dum+1.0)*((hmax-hmin)/2.0)+hmin
    end do
  
    H(1)=hmin
    
 end subroutine transmatrix