cap log close 
set more 1 
clear matrix
clear
set memory 100m

log using taxes.log, replace 

/*This program estimates labor income tax functions for singles with 0 children*/


use dat_us

/*
replace PoAW=PoAW*(1/1.3919)
*/

gen Inc=PoAW/100

gen Inc02=Inc^0.2

gen Inc04=Inc^0.4

gen Inc06=Inc^0.6

gen Inc08=Inc^0.8

gen PoAW2=int(PoAW)

drop if (PoAW2<50) & (PoAW2~=30)

drop if PoAW2>2000

sort PoAW

keep if ((Inc<4.01) | (PoAW2==250) | (PoAW2==300) | (PoAW2==350) | (PoAW2==400) | (PoAW2==450) | (PoAW2==500) | (PoAW2==550) | (PoAW2==600) | (PoAW2==650) | (PoAW2==700) | (PoAW2==750) | (PoAW2==800) | (PoAW2==850) | (PoAW2==900) | (PoAW2==950) | (PoAW2==1000) | (PoAW2==1100) | (PoAW2==1200) | (PoAW2==1300) | (PoAW2==1400) | (PoAW2==1500) | (PoAW2==2000))

keep if CHILDREN==0

by PoAW: egen avtaxrate=mean(TAX_RATE)

reg avtaxrate Inc02 Inc04 Inc06 Inc08, noconstant


log close
